gsasl_client_callback_maxbuf_set(3)

NAME
gsasl_client_callback_maxbuf_set - API function

SYNOPSIS
#include <gsasl.h>

void gsasl_client_callback_maxbuf_set(Gsasl * ctx, Gsasl_client_callback_maxbuf cb);

ARGUMENTS

Gsasl * ctx
    libgsasl handle.

Gsasl_client_callback_maxbuf cb
    callback function

DESCRIPTION
Specify the callback function to use in the client to inform the server of the largest buffer the client is able to receive when using the DIGEST-MD5 "auth-int" or "auth-conf" Quality of Protection (qop). If this directive is missing, the default value 65536 will be assumed. The function can be later retrieved using gsasl_client_callback_maxbuf_get().

DEPRECATED
This function is part of the old callback interface. The new interface uses gsasl_callback_set() to set the application callback, and uses gsasl_callback() or gsasl_property_get() to invoke the callback for certain properties.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.